<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$aliases = array();

/** English
 * @author IAlex
 */
$aliases['en'] = array(
	'OpenIDLogin'  => array( 'OpenIDLogin' ),
	'OpenIDConvert' => array( 'OpenIDConvert' ),
	'OpenIDServer' => array( 'OpenIDServer' ),
	'OpenIDXRDS' => array( 'OpenIDXRDS' ),
);

/** Arabic (العربية) */
$aliases['ar'] = array(
	'OpenIDLogin' => array( 'دخول_الهوية_المفتوحة' ),
	'OpenIDConvert' => array( 'تحويل_الهوية_المفتوحة' ),
	'OpenIDServer' => array( 'خادم_الهوية_المفتوحة' ),
	'OpenIDXRDS' => array( 'إكسردس_الهوية_المفتوحة' ),
);

/** Egyptian Spoken Arabic (مصرى) */
$aliases['arz'] = array(
	'OpenIDLogin' => array( 'دخول_الهوية_المفتوحة' ),
	'OpenIDConvert' => array( 'تحويل_الهوية_المفتوحة' ),
	'OpenIDServer' => array( 'خادم_الهوية_المفتوحة' ),
	'OpenIDXRDS' => array( 'إكسردس_الهوية_المفتوحة' ),
);

/** Finnish (Suomi) */
$aliases['fi'] = array(
	'OpenIDLogin' => array( 'OpenID-kirjautuminen' ),
	'OpenIDConvert' => array( 'OpenID-muunnos' ),
	'OpenIDServer' => array( 'OpenID-palvelin' ),
);

/** Interlingua (Interlingua) */
$aliases['ia'] = array(
	'OpenIDLogin' => array( 'Aperir session OpenID' ),
	'OpenIDConvert' => array( 'Converter a OpenID' ),
	'OpenIDServer' => array( 'Servitor OpenID' ),
	'OpenIDXRDS' => array( 'XRDS OpenID' ),
);

/** Japanese (日本語) */
$aliases['ja'] = array(
	'OpenIDLogin' => array( 'OpenIDログイン', 'ＯｐｅｎＩＤログイン' ),
	'OpenIDConvert' => array( 'OpenID変換', 'ＯｐｅｎＩＤ変換' ),
	'OpenIDServer' => array( 'OpenIDサーバー', 'ＯｐｅｎＩＤサーバー' ),
);

/** Korean (한국어) */
$aliases['ko'] = array(
	'OpenIDLogin' => array( 'OpenID로그인' ),
	'OpenIDConvert' => array( 'OpenID번역' ),
	'OpenIDServer' => array( 'OpenID서버' ),
);

/** Ripoarisch (Ripoarisch) */
$aliases['ksh'] = array(
	'OpenIDLogin' => array( 'OpenIDAanmedung' ),
	'OpenIDConvert' => array( 'OpenIDÖmwandele' ),
);

/** Luxembourgish (Lëtzebuergesch) */
$aliases['lb'] = array(
	'OpenIDLogin' => array( 'Login fir OpenID' ),
	'OpenIDConvert' => array( 'OpenID ëmwandelen' ),
);

/** Dutch (Nederlands) */
$aliases['nl'] = array(
	'OpenIDLogin' => array( 'OpenIDAanmelden' ),
	'OpenIDConvert' => array( 'OpenIDConverteren' ),
);

/** Norwegian (bokmål)‬ (‪Norsk (bokmål)‬) */
$aliases['no'] = array(
	'OpenIDLogin' => array( 'OpenID-innlogging' ),
	'OpenIDConvert' => array( 'OpenID-konvertering' ),
	'OpenIDServer' => array( 'OpenID-tjener' ),
	'OpenIDXRDS' => array( 'OpenID-XRDS' ),
);

/** Sanskrit (संस्कृत) */
$aliases['sa'] = array(
	'OpenIDLogin' => array( 'उद्घटपरिचयपत्रप्रवेश' ),
	'OpenIDConvert' => array( 'उद्घटपरिचयपत्रांतर' ),
	'OpenIDServer' => array( 'उद्घटपरिचयपत्रविदादाता' ),
	'OpenIDXRDS' => array( 'उद्घटपरिचयपत्रXRDS' ),
);

/** Slovak (Slovenčina) */
$aliases['sk'] = array(
	'OpenIDLogin' => array( 'OpenIDPrihlásenie' ),
	'OpenIDConvert' => array( 'OpenIDKonverzia' ),
);

/** Tagalog (Tagalog) */
$aliases['tl'] = array(
	'OpenIDLogin' => array( 'Paglagda sa OpenID' ),
	'OpenIDConvert' => array( 'Pagpapalit ng OpenID' ),
	'OpenIDServer' => array( 'Serbidor ng OpenID' ),
	'OpenIDXRDS' => array( 'XRDS ng OpenID' ),
);

/** Turkish (Türkçe) */
$aliases['tr'] = array(
	'OpenIDLogin' => array( 'AçıkKimlikOturumAçma' ),
	'OpenIDConvert' => array( 'AçıkKimlikDönüştürme' ),
	'OpenIDServer' => array( 'AçıkKimlikSunucusu' ),
	'OpenIDXRDS' => array( 'AçıkKimlikXRDS' ),
);

